Ext.define('path.view.Main', {
    extend: 'Ext.tab.Panel',
    xtype: 'main',
    requires: [
        'Ext.TitleBar',
        'Ext.Video'
    ],
    config: {
        tabBarPosition: 'bottom',

        items: [
            {
                title: 'Welcome',
                iconCls: 'home',

                styleHtmlContent: true,
                scrollable: true,

                items: [{
                    docked: 'top',
                    xtype: 'titlebar',
                    title: 'Welcome to Sencha Touch 2'
                },
				
				{
				id: 'theimage',
				xtype: 'image',
				minWidth: 200,
				minHeight: 200,
				src:'http://www.prconversations.com/wp-content/uploads/2011/08/twitter_icon4-294x300.jpg'
				},
				{
                    xtype: 'button',
                    text: 'Take a photo',

					handler: function(button, event) {
									
						Ext.device.Notification.show({
							title: 'Multiple Buttons',
							message: 'This is a notification with multiple buttons.',
							buttons: ["Cancel", "Login", "Another"]
						});					  
						
									
						Ext.device.Camera.capture({
							source: 'camera',
							destination: 'file',

							success: function(imagedata) {
								Ext.Msg.alert('sUCCESS', 'sUCCESS. ' + imagedata);
								var img = Ext.getCmp('theimage');
								img.setSrc(imagedata);
							},

							failure: function() {
								Ext.Msg.alert('Error', 'There was an error when acquiring the picture.');
							},
							scope: this
						});

					
					}
                }
				
				
				],

                html: [
                    "You've just generated a new Sencha Touch 2 project. What you're looking at right now is the ",
                    "contents of <a target='_blank' href=\"app/view/Main.js\">app/view/Main.js</a> - edit that file ",
                    "and refresh to change what's rendered here."
                ].join("")
            },
            {
                title: 'Get Started',
                iconCls: 'action',

                items: [
                    {
                        docked: 'top',
                        xtype: 'titlebar',
                        title: 'Getting Started'
                    },
                    {
                        xtype: 'video',
                        url: 'http://av.vimeo.com/64284/137/87347327.mp4?token=1330978144_f9b698fea38cd408d52a2393240c896c',
                        posterUrl: 'http://b.vimeocdn.com/ts/261/062/261062119_640.jpg'
                    }
                ]
            }
        ]
    }
});
